org.keycloak.representations.idm

## Class UserFederationMapperRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserFederationMapperRepresentation

-     public class UserFederationMapperRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `config`
    `protected String` | `federationMapperType`
    `protected String` | `federationProviderDisplayName`
    `protected String` | `id`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationMapperRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getConfig()`
    `String` | `getFederationMapperType()`
    `String` | `getFederationProviderDisplayName()`
    `String` | `getId()`
    `String` | `getName()`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setFederationMapperType(String federationMapperType)`
    `void` | `setFederationProviderDisplayName(String federationProviderDisplayName)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### federationProviderDisplayName

          protected String federationProviderDisplayName

    - #### federationMapperType

          protected String federationMapperType

    - #### config

          protected Map<String,String> config

  - ### Constructor Detail

    - #### UserFederationMapperRepresentation

          public UserFederationMapperRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getFederationProviderDisplayName

          public String getFederationProviderDisplayName()

    - #### setFederationProviderDisplayName

          public void setFederationProviderDisplayName(String federationProviderDisplayName)

    - #### getFederationMapperType

          public String getFederationMapperType()

    - #### setFederationMapperType

          public void setFederationMapperType(String federationMapperType)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

Copyright © 2020 JBoss by Red Hat. All rights reserved.